Bug 1079505 - [abrt] geany: gtk_notebook_button_release(): geany killed by SIGSEGV
Summary: [abrt] geany: gtk_notebook_button_release(): geany killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2b18fae6e745deca254282ee78e...
: 1221179 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-21 17:35 UTC by Filipe Rosset
Modified: 2016-08-01 16:22 UTC (History)
5 users (show)

Fixed In Version: geany-1.28-2.fc24 geany-1.28-2.fc23 geany-1.28-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 20:25:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.76 KB, text/plain)
2014-03-21 17:35 UTC, Filipe Rosset
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-21 17:35 UTC, Filipe Rosset
no flags Details
File: core_backtrace (10.92 KB, text/plain)
2014-03-21 17:35 UTC, Filipe Rosset
no flags Details
File: dso_list (7.76 KB, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: environ (1.90 KB, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: exploitable (107 bytes, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: maps (46.18 KB, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: open_fds (851 bytes, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details
File: var_log_messages (668 bytes, text/plain)
2014-03-21 17:36 UTC, Filipe Rosset
no flags Details

Description Filipe Rosset 2014-03-21 17:35:48 UTC
Version-Release number of selected component:
geany-1.23.1-2.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        geany /home/filiperosset/Downloads/0001-update-to-1.1.0.patch
crash_function: gtk_notebook_button_release
executable:     /usr/bin/geany
kernel:         3.14.0-0.rc7.git0.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gtk_notebook_button_release at /lib64/libgtk-x11-2.0.so.0
 #1 _gtk_marshal_BOOLEAN__BOXED at /lib64/libgtk-x11-2.0.so.0
 #6 gtk_widget_event_internal at /lib64/libgtk-x11-2.0.so.0
 #7 gtk_propagate_event at /lib64/libgtk-x11-2.0.so.0
 #8 gtk_main_do_event at /lib64/libgtk-x11-2.0.so.0
 #9 gdk_event_dispatch at /lib64/libgdk-x11-2.0.so.0
 #11 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #13 gtk_main at /lib64/libgtk-x11-2.0.so.0

Potential duplicate: bug 864224

Comment 1 Filipe Rosset 2014-03-21 17:35:54 UTC
Created attachment 877395 [details]
File: backtrace

Comment 2 Filipe Rosset 2014-03-21 17:35:56 UTC
Created attachment 877396 [details]
File: cgroup

Comment 3 Filipe Rosset 2014-03-21 17:35:58 UTC
Created attachment 877397 [details]
File: core_backtrace

Comment 4 Filipe Rosset 2014-03-21 17:36:00 UTC
Created attachment 877398 [details]
File: dso_list

Comment 5 Filipe Rosset 2014-03-21 17:36:02 UTC
Created attachment 877399 [details]
File: environ

Comment 6 Filipe Rosset 2014-03-21 17:36:04 UTC
Created attachment 877400 [details]
File: exploitable

Comment 7 Filipe Rosset 2014-03-21 17:36:07 UTC
Created attachment 877401 [details]
File: limits

Comment 8 Filipe Rosset 2014-03-21 17:36:10 UTC
Created attachment 877402 [details]
File: maps

Comment 9 Filipe Rosset 2014-03-21 17:36:12 UTC
Created attachment 877403 [details]
File: open_fds

Comment 10 Filipe Rosset 2014-03-21 17:36:14 UTC
Created attachment 877404 [details]
File: proc_pid_status

Comment 11 Filipe Rosset 2014-03-21 17:36:17 UTC
Created attachment 877405 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 15:37:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Dominic Hopf 2015-07-27 19:02:56 UTC
*** Bug 1221179 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2016-07-11 10:57:16 UTC
geany-1.28-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae

Comment 15 Fedora Update System 2016-07-11 10:57:50 UTC
geany-1.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b

Comment 16 Fedora Update System 2016-07-11 10:58:16 UTC
geany-1.28-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536

Comment 17 Fedora Update System 2016-07-11 10:58:44 UTC
geany-1.28-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de

Comment 18 Fedora Update System 2016-07-12 02:53:52 UTC
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536

Comment 19 Fedora Update System 2016-07-12 03:27:12 UTC
geany-1.28-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de

Comment 20 Fedora Update System 2016-07-12 03:55:12 UTC
geany-1.28-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae

Comment 21 Fedora Update System 2016-07-12 03:58:50 UTC
geany-1.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b

Comment 22 Fedora Update System 2016-07-12 20:25:19 UTC
geany-1.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-07-19 22:22:06 UTC
geany-1.28-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-08-01 16:22:06 UTC
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.